Hardware and software requirements

17 May 2024

ID 123619

You need only a browser to use Kaspersky Endpoint Security Cloud.

Kaspersky Endpoint Security Cloud supports the following browsers:

  • Microsoft Edge 100 and later
  • Google Chrome 100 and later
  • Mozilla Firefox Extended Support Release 102 and later
  • Safari 15 and later

When running, Kaspersky Endpoint Security Cloud uses the following Kaspersky applications:

  • Kaspersky Endpoint Security 12.5 for Windows

    Once you have prepared the distribution package of the latest version in Management Console, preparing the distribution package of a previous version will not be possible.

    For hardware and software requirements of the security application, refer to Kaspersky Endpoint Security for Windows Help.

  • Kaspersky Endpoint Security 12.0 for Mac

    Once you have prepared the distribution package of the latest version in Management Console, preparing the distribution package of a previous version will not be possible.

    For hardware and software requirements of the security application, refer to Kaspersky Endpoint Security for Mac Help.

    Kaspersky Endpoint Security 10 for Mac does not support macOS 10.15 Catalina.
    After the macOS upgrade to the above-mentioned version, the protection of your users' devices by Kaspersky Endpoint Security 10 for Mac is terminated.
    To resume protection of devices, you must download the distribution package of Kaspersky Endpoint Security 11 for Mac, and then deliver it to your macOS users. Users must then install the new version of Kaspersky Endpoint Security for Mac on their devices.

  • Kaspersky Endpoint Security 10 for Android

    For hardware and software requirements of the security application, refer to Kaspersky Security for Mobile Help.

Did you find this article helpful?
What can we do better?
Thank you for your feedback! You're helping us improve.
Thank you for your feedback! You're helping us improve.